package com.dixheure;

import android.content.Context;
import android.content.SharedPreferences;

public class Tracks {
	
	public static final String PREFIX_PREF="pref_tracks_";
	
	public static final String PREFIX_FILE="track_";
	
	public void getRadioTracks (Context context,String radioId){
		SharedPreferences preferences=getPreferences(context);
		preferences.getString(PREFIX_PREF+radioId, null);
	}
	
	private static SharedPreferences getPreferences (Context context){
		return context.getSharedPreferences("tracks", Context.MODE_PRIVATE);
	}
	
	public static void saveRadioTracks (Context context, String radioId, String jsonTracks){
		SharedPreferences preferences=getPreferences(context);
		preferences.edit().putString(PREFIX_PREF+radioId, jsonTracks);
	}

}
