package com.dixheure;

import android.content.Context;
import android.content.Intent;
import android.preference.Preference;
import android.sax.StartElementListener;
import android.util.AttributeSet;

public class DeezerPreference extends Preference {

	private final Context mContext;
	
	public DeezerPreference(Context context, AttributeSet attrs) {
		super(context, attrs);
		this.mContext=context;
	}

	public DeezerPreference(Context context) {
		super(context);
		this.mContext=context;
	}
	
	@Override
	protected void onClick() {
		super.onClick();

		
		Intent intent=new Intent(mContext, DeezerRadioActivity.class);
		
		mContext.startActivity(intent);
	
	}
	
	
}
