package com.dixheure.histo;

import com.dixheure.AlarmKlaxon;
import com.dixheure.model.Track;
import com.google.gson.Gson;

import android.content.BroadcastReceiver;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;

public class HistoReceiver extends BroadcastReceiver{

	@Override
	public void onReceive(Context context, Intent intent) {

		try {
			String action=intent.getAction();

			System.out.println("receiver");
			
			if(action==null)
				return ;

			Gson gson=new Gson();

			String t=intent.getStringExtra(AlarmKlaxon.TRACK_EXTRA);
			
			
			System.out.println(">>>PAsse"+t+action);

			Track track=gson.fromJson(t, Track.class);
			
			System.out.println(track+" "+track.getId()+" "+action.equals(AlarmKlaxon.TRACK_WAKEUP)+" "+action);
			if(track!=null){
				if(action.equals(AlarmKlaxon.TRACK_ACTION)){
					Histories.addHisto(context.getContentResolver(), track.getId(), t);
				}

				if(action.equals(AlarmKlaxon.TRACK_WAKEUP)){
					
					int updated=Histories.wakeupTrack(context.getContentResolver(), track);
					
					System.out.println("update "+updated);
				}
			}

		} catch (Exception e) {
			// DO NOTHING
		}

	}

}
